import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { member } from "./member";
import { award } from "./award";

@Entity()
export class memberAwards {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "boolean", default: true })
  given: boolean;

  @Column({ type: "varchar", length: 255, nullable: true })
  note?: string;

  @Column({ type: "date" })
  date: Date;

  @ManyToOne(() => member, (member) => member.awards, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  member: member;

  @ManyToOne(() => award, (award) => award.members, {
    nullable: false,
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
  })
  award: award;
}
