import { Request, Response } from "express";
import { ExceptionBase } from "../exceptions/exceptionsBaseType";
import CustomRequestException from "../exceptions/customRequestException";

export default function errorHandler(err: ExceptionBase | Error, req: Request, res: Response, next: Function) {
  let status = 500;
  let msg = "Internal Server Error";

  if (err instanceof CustomRequestException) {
    status = err.statusCode;
    msg = err.message;
  }

  console.log("Handler", err);

  res.status(status).send(msg);
}
